curl --request POST \
--url https://api.us.lexful.app/v1/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Account-ID: <api-key>' \
--data '
{
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"status": "<string>",
"is_primary": true,
"description": "<string>",
"logo_url": "<string>",
"website_url": "<string>",
"notes": "<string>",
"alert": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.us.lexful.app/v1/organizations"
payload = {
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"status": "<string>",
"is_primary": True,
"description": "<string>",
"logo_url": "<string>",
"website_url": "<string>",
"notes": "<string>",
"alert": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Account-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
type: '<string>',
status: '<string>',
is_primary: true,
description: '<string>',
logo_url: '<string>',
website_url: '<string>',
notes: '<string>',
alert: '<string>',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.us.lexful.app/v1/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_primary": true,
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"status": "<string>",
"description": "<string>",
"logo_url": "<string>",
"website_url": "<string>",
"notes": "<string>",
"alert": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_management": "disabled",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Create Organizations
Create organization(s) - supports single or bulk creation (max 100)
Authorizations
Bearer token
Account ID
Body
- object
- object[]
Organization name
1 - 255Organization slug (lowercase alphanumeric, underscores, and hyphens only)
1 - 100^[a-z0-9_-]+$Organization type
Organization status
Whether this is the primary organization
Organization description
Organization logo URL
Organization website URL
Internal notes
Alert message
Parent organization ID
Asset management status - controls entity CRUD operations
disabled, enabled, read_only Response
Default Response
- Option 1
- Option 2
Organization unique identifier
Whether this is the primary organization
Organization name
Organization slug (URL-friendly identifier)
Organization type
Organization status
Organization description
Organization logo URL
Organization website URL
Internal notes
Alert message for this organization
Parent organization ID
Asset management status - controls entity CRUD operations
disabled, enabled, read_only Expanded tags (only present when expand=tags is used)
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp
User ID who created the organization
User ID who last updated the organization
Deletion timestamp
Was this page helpful?